class Beastiary

  class Search
    def self.byName(name)
      jsonRequest = open(Utils.baseURI + 'itemdb_rs/bestiary/beastSearch.json?term=' + name.to_s).read
      return JSON.parse(jsonRequest)
    end

    def self.byID(id)
      uri = Utils.baseURI + 'itemdb_rs/bestiary/beastData.json?beastid=' + id.to_s
      jsonRequest = open(uri).read
      jsonRequest = jsonRequest.gsub("", "")
      return JSON.parse(jsonRequest)
    end

    def self.byLetter(letter)
      jsonRequest = open(Utils.baseURI + 'itemdb_rs/bestiary/bestiaryNames.json?letter=' + letter.to_s).read
      return JSON.parse(jsonRequest)
    end
  end

  class ByArea
    def self.getNames
      jsonRequest = open(Utils.baseURI + 'itemdb_rs/bestiary/bestiary/areaNames.json').read
      return JSON.parse(jsonRequest)
    end

    def self.getBeasts(identifier)
      jsonRequest = open(Utils.baseURI + 'itemdb_rs/bestiary/areaBeasts.json?identifier=' + identifier.to_s).read
      return JSON.parse(jsonRequest)
    end
  end

  class BySlayerCategory
    def self.getNames
      jsonRequest = open(Utils.baseURI + 'itemdb_rs/bestiary/bestiary/slayerCatNames.json').read
      return JSON.parse(jsonRequest)
    end

    def self.getBeasts(identifier)
      jsonRequest = open(Utils.baseURI + 'itemdb_rs/bestiary/slayerBeasts.json?identifier=' + identifier.to_s).read
      return JSON.parse(jsonRequest)
    end
  end

  class ByWeakness
    def self.getNames
      jsonRequest = open(Utils.baseURI + 'itemdb_rs/bestiary/bestiary/weaknessNames.json').read
      return JSON.parse(jsonRequest)
    end

    def self.getBeasts(identifier)
      jsonRequest = open(Utils.baseURI + 'itemdb_rs/bestiary/weaknessBeasts.json?identifier=' + identifier.to_s).read
      return JSON.parse(jsonRequest)
    end
  end

  class ByLevel
    def self.getBeasts(identifier)
      jsonRequest = open(Utils.baseURI + 'itemdb_rs/bestiary/levelGroup.json?identifier=' + identifier.to_s).read
      return JSON.parse(jsonRequest)
    end
  end

end