class HighScores

  class EOC

    class SeasonalEvents < String
      def getEvents(status)
        jsonRequest = open(Utils.baseURI + 'temp-hiscores/getRankings.json?player=DisplayName&status=' + status.to_s).read
        return JSON.parse(jsonRequest)
      end

      def getPlayerData(displayName, status)
        jsonRequest = open(Utils.baseURI + 'temp-hiscores/getRankings.json?player=' + displayName.to_s + '&status=' + status.to_s).read
        return JSON.parse(jsonRequest)
      end
    end

  end

  class OS

    def self.getPlayer(name)
      parseCSV(getCSV(name.to_s))
    end

    private

      def self.getCSV(name)
        if open('http://services.runescape.com/m=hiscore_oldschool/index_lite.ws?player=' + name).read; else return false end
      end

      def self.parseCSV(csv)

        if csv != ''
          csv = rawData.gsub("-1", "0")

          stats = rawData.split("\n")

          skills = Array.new { Hash.new }

          stats.each_with_index { |stat, k|
            bits = stat.split(",")

            hash = {'skill' => Utils.SkillLabels.os[k], 'rank' => bits[0], 'level' => bits[1], 'xp' => bits[2]}

            skills << hash
          }

          return skills
        else return false end

      end

  end

end